ALTER TABLE TiposDocCons ADD CodResol VARCHAR(4)
GO
ALTER TABLE Trn_TraLiqDetalle ADD TipSop VARCHAR(3),NumSoporte INT DEFAULT(0) NOT NULL,IdCiaSop CHAR(2)
GO
ALTER TABLE Formaspago ADD RefProducto BIT DEFAULT(0) NOT NULL,FactTicket BIT DEFAULT(0) NOT NULL
GO
ALTER TABLE Trn_Pagos ADD CdProducto VARCHAR(16), FE_Ticket BIT DEFAULT(0) NOT NULL
,Cant_Gals DECIMAL(14,4) DEFAULT(0) NOT NULL,PrecioBase MONEY DEFAULT(0) NOT NULL,PrecioUnit MONEY DEFAULT(0) NOT NULL
GO
ALTER TABLE tm_EdsFormas ADD tmVrBase MONEY DEFAULT(0) NOT NULL,tmVrPresp MONEY DEFAULT(0) NOT NULL
GO
ALTER TABLE Trn_EdsFormas ADD VrBase MONEY DEFAULT(0) NOT NULL,VrPrecioEsp MONEY DEFAULT(0) NOT NULL
GO
ALTER TABLE Trn_EdsCortes ADD VrExcedClie MONEY DEFAULT(0) NOT NULL
GO
CREATE TABLE Trn_DocSoporte ( 
TipDoc VARCHAR(3) NOT NULL,
NumDoc INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdTercero VARCHAR(16) NOT NULL,
IdAdquiriente VARCHAR(16),
ValorTotal DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
Retencion DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
ReteIca DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
TarifaRet DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
TarifaIca DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
CodTarRet VARCHAR(4),
CodTarIca VARCHAR(4),
DescServicio VARCHAR(500),
CodRes VARCHAR(4),
TipDocRef VARCHAR(3) NOT NULL,
NumDocRef INT DEFAULT ((0)) NOT NULL,
IdCiaRef CHAR(2) NOT NULL,
Anulado BIT DEFAULT ((0)) NOT NULL,
TipDocDev VARCHAR(3),
NumDev INT DEFAULT ((0)) NOT NULL,
CdCiaDev CHAR(2),
FecDev SMALLDATETIME,
Observacion VARCHAR(500),
IdEstado VARCHAR(4) NOT NULL,
OrigenAdd VARCHAR(10) NOT NULL,
TimeSys SMALLDATETIME NOT NULL,
FecUpdate SMALLDATETIME,
IdCiaCrea CHAR(2) DEFAULT ('01') NOT NULL,
IdUsuario VARCHAR(11) NOT NULL
 CONSTRAINT PK_Trn_DocSoporte PRIMARY KEY CLUSTERED (TipDoc,NumDoc,IdCia),
 CONSTRAINT CK_Trn_DocSoporteIdCiaCrea CHECK ((len([IdCiaCrea])>(0))),
 CONSTRAINT CK_Trn_DocSoporteIdEstado CHECK ((len([IdEstado])>(0))),
 CONSTRAINT CK_Trn_DocSoporteIdTercero CHECK ((len([IdTercero])>(0))),
 CONSTRAINT CK_Trn_DocSoporteIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_DocSoporteOrigenAdd CHECK ((len([OrigenAdd])>(0))))
GO
CREATE TABLE Trn_DocSoporteDet ( 
TipDoc VARCHAR(3) NOT NULL,
NumDoc INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
TipCom VARCHAR(3) NOT NULL,
Comprobante INT DEFAULT ((0)) NOT NULL,
IdCiaCom CHAR(2) NOT NULL,
ItemCom INT DEFAULT ((0)) NOT NULL,
CdCuenta VARCHAR(16) NOT NULL,
Detalle VARCHAR(500) NOT NULL,
NitTercero VARCHAR(16) NOT NULL,
ValorOper DECIMAL(14,4) DEFAULT ((0)) NOT NULL
 CONSTRAINT PK_Trn_DocSoporteDet PRIMARY KEY CLUSTERED (TipDoc,NumDoc,IdCia,Item),
 CONSTRAINT CK_Trn_DocSoporteDetCdCuenta CHECK ((len([CdCuenta])>(0))),
 CONSTRAINT CK_Trn_DocSoporteDetDetalle CHECK ((len([Detalle])>(0))),
 CONSTRAINT CK_Trn_DocSoporteDetIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_DocSoporteDetIdCiaCom CHECK ((len([IdCiaCom])>(0))),
 CONSTRAINT CK_Trn_DocSoporteDetNitTercero CHECK ((len([NitTercero])>(0))),
 CONSTRAINT CK_Trn_DocSoporteDetTipCom CHECK ((len([TipCom])>(0))),
 CONSTRAINT CK_Trn_DocSoporteDetTipDoc CHECK ((len([TipDoc])>(0))))
GO
INSERT INTO Sys_TiposDoc (IdDoc,TipoDoc,ConsUnico,Leyenda,Inactivo,IntegraCias)
 VALUES ('SOP','DOCUMENTO SOPORTE',0,'',0,0)
GO
INSERT INTO Sys_ObjetosApp (IdObj,IdGrupo,SubModulo,IndObj,Nombre,Formulario,Permisos,NivelMinimo,NomArchivo)
 VALUES ('FRMDSOP','MAIPRO','GEN',17,'Documentos Soporte','FRMDSOP','SSSSSSSSSSSSS',0,'')
INSERT INTO Sys_ObjetosApp (IdObj,IdGrupo,SubModulo,IndObj,Nombre,Formulario,Permisos,NivelMinimo,NomArchivo)
 VALUES ('FRMDSOPTRA','TRAPRO','GEN',15,'Documentos Soporte','FRMDSOP','SSSSSSSSSSSSS',0,'')
INSERT INTO Sys_ObjetosApp (IdObj,IdGrupo,SubModulo,IndObj,Nombre,Formulario,Permisos,NivelMinimo,NomArchivo)
 VALUES ('FRMDSOPBUS','BUSPRO','BAS',21,'Documentos Soporte','FRMDSOP','SSSSSSSSSSSSS',0,'')
GO
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMDSOP','FEC','Permitir cambiar Fecha de Proceso')
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMDSOP','CIA','Cambiar de Compañía')
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMDSOPBUS','FEC','Permitir cambiar Fecha de Proceso')
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMDSOPBUS','CIA','Cambiar de Compañía')
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMDSOPTRA','FEC','Permitir cambiar Fecha de Proceso')
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMDSOPTRA','CIA','Cambiar de Compañía')
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMTCDBAS','CUE','Modificar Información de la Cuenta Bancaria')
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMTCDBUS','CUE','Modificar Información de la Cuenta Bancaria')
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMTCDTRA','CUE','Modificar Información de la Cuenta Bancaria')
GO
INSERT INTO ClaseSub (IdClase,NomClase,Inactivo)
 VALUES ('0028','DESCUENTOS VALES CREDITO',0)
INSERT INTO ClaseSub (IdClase,NomClase,Inactivo)
 VALUES ('0029','EXCEDENTE INGRESO VALES CREDITO',0)
GO
INSERT INTO Sys_Report (TipoRep,IdRep,Descripcion,Formato,TipoPapel,Orientacion,VistaPrevia,VerSetup,NumCopias,sp_Nombre,Ind_Location,NomRep)
 VALUES ('SOP','01','Predeterminado ','LtSop.rpt',1,1,1,0,1,'paQryDocSoporteRel','','Documentos Soporte')
INSERT INTO Sys_Report (TipoRep,IdRep,Descripcion,Formato,TipoPapel,Orientacion,VistaPrevia,VerSetup,NumCopias,sp_Nombre,Ind_Location,NomRep)
 VALUES ('DSO','01','Registro del Proceso  (Hz)','CrLogSop.rpt',1,2,1,0,1,'LogSoporte','','Documento Soporte')
INSERT INTO Sys_Report (TipoRep,IdRep,Descripcion,Formato,TipoPapel,Orientacion,VistaPrevia,VerSetup,NumCopias,sp_Nombre,Ind_Location,NomRep)
 VALUES ('DSO','10','Formato de Documento Soporte','FSop.rpt',1,1,1,0,1,'paQryDocSoporteFmt','','Documento Soporte')
GO
ALTER TABLE Trn_Entradas ADD TipSop VARCHAR(3),NumDocSop INT DEFAULT(0) NOT NULL,CdCiaSop CHAR(2) 
GO
CREATE TABLE CompListas ( 
IdCia CHAR(2) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdCiaPre CHAR(2) NOT NULL
 CONSTRAINT PK_CompListas PRIMARY KEY CLUSTERED (IdCia,Item),
 CONSTRAINT CK_CompListasIdCiaPre CHECK ((len([IdCiaPre])>(0))))
GO
ALTER TABLE Trn_DocSoporte ADD 
 CONSTRAINT FK_Trn_DocSoporte_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_DocSoporte_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_DocSoporte_Companias1 FOREIGN KEY (IdCiaCrea) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_DocSoporte_EstadoDoc FOREIGN KEY (IdEstado) REFERENCES [dbo].[EstadoDoc] (IdEstado),
 CONSTRAINT FK_Trn_DocSoporte_Sys_TiposDoc FOREIGN KEY (TipDoc) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc),
 CONSTRAINT FK_Trn_DocSoporte_Terceros FOREIGN KEY (IdTercero) REFERENCES [dbo].[Terceros] (IdTercero)

 CREATE NONCLUSTERED INDEX IX_Trn_DocSoporteFecha ON Trn_DocSoporte(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_DocSoporteIdTercero ON Trn_DocSoporte(IdTercero)
ALTER TABLE Trn_DocSoporteDet ADD 
 CONSTRAINT FK_Trn_DocSoporteDet_Trn_DocSoporte FOREIGN KEY (TipDoc,NumDoc,IdCia) REFERENCES [dbo].[Trn_DocSoporte] (TipDoc,NumDoc,IdCia)

 CREATE NONCLUSTERED INDEX IX_Trn_DocSoporteDetComprobante ON Trn_DocSoporteDet(TipCom,Comprobante,IdCiaCom,ItemCom)

ALTER TABLE CompListas ADD 
 CONSTRAINT FK_CompListas_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia)

